# OpenEdge XREF CLI
The XREF CLI package gives the possibility to search in OpenEdge `.xref` files via the `xref` command.
The tools is built around repositories. The flow is:

- initialize a repository with `xref init...`
- `xref parse` the directory with `.xref` files
- search for field and table references with `xref search...`

See also `export`, `list` and `show` for all sorts of output.

## help
Use the `xref --help` display a command list. `xref <command> --help` gives help to that particular command.

## configuration
XREFCLI can be configurated to open the sources returned by a `search` in an editor of choice.
Beneath a setup for Visual Studio Code:
```
  "editor": {
    "name": "vscode",
    "executable": "C:\\Program Files\\Microsoft VS Code\\bin\\code.cmd",
    "open": "%r --new-window --goto %s "
  },
```
This fragment should be setup in .xrefcli/xrefconfig.json which is located on either `%USERPROFILE%` (win), `$HOME` (linux) or something similar for Mac.
The `%r` is placeholder for `srcroot` of the repository, `%s` is placed by a blank delimited list of files returned by the `search` command prefixed by the `srcroot` directory. `srcroot` is specified along with the `init` command.

## disclaimer
Only tested on XREF generated by 11.6 and 11.7.3 (Win x64 / a bit Linux)