"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const help_1 = require("../help");
class RemoveCommand {
    constructor(config) {
        this.reponame = '';
        this.config = config;
    }
    execute(params) {
        this.config.removeRepo(this.reponame);
        this.config.data.current = '';
        console.log(this.reponame);
    }
    validate(params) {
        const options = params['options'];
        if (options['help'] === true) {
            const help = new help_1.Help();
            help.removeCommand();
            process.exit(0);
        }
        const reponame = options['name'];
        if (reponame === undefined) {
            console.error('Error: a repo name should be provided');
            return false;
        }
        if (!this.config.repoExists(reponame)) {
            console.error(`Error: repo '${reponame}' does not exist`);
            return false;
        }
        this.reponame = reponame;
        return true;
    }
}
exports.RemoveCommand = RemoveCommand;
//# sourceMappingURL=remove.js.map