"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const help_1 = require("../help");
class ReposCommand {
    constructor(config) {
        this.config = config;
    }
    execute(params) {
        const options = params['options'];
        if (options['help'] === true) {
            const help = new help_1.Help();
            help.reposCommand();
            process.exit(0);
        }
        const name = options['name'];
        const verbose = options['verbose'];
        const numIndent = 2;
        if (params['options']['json']) {
            if (!verbose) {
                console.log(JSON.stringify(this.config.data.repos.map(repo => repo.name), undefined, numIndent));
            }
            else {
                console.log(JSON.stringify(this.config.data.repos, undefined, numIndent));
            }
        }
        else {
            this.config.data.repos.forEach(repo => {
                if (!verbose) {
                    console.log((repo.name === this.config.data.current ? '*' : '') + repo.name);
                }
                else {
                    console.log(`${repo.name}: dir=${repo.dir}` + (repo.srcdir !== undefined ? `, src=${repo.srcdir}` : ''));
                }
            });
        }
    }
    validate(params) {
        return true;
    }
}
exports.ReposCommand = ReposCommand;
//# sourceMappingURL=repos.js.map