"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ValidateCommand {
    constructor(config) {
        this.config = config;
    }
    execute(params) {
        let ok = true;
        const xreffiles = this.config.loadRepo(this.config.data.current);
        xreffiles.forEach(xreffile => {
            // check if all table have a name property
            xreffile.tables.forEach(table => {
                if (table.name === undefined) {
                    console.error('undefied name attribute for table: ', JSON.stringify(table));
                    ok = false;
                }
            });
        });
        if (ok) {
            console.log(this.config.data.current + ': OK');
        }
    }
    validate(params) {
        return true;
    }
}
exports.ValidateCommand = ValidateCommand;
//# sourceMappingURL=validate.js.map