"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs = __importStar(require("fs"));
class Editor {
    constructor(config) {
        this.config = config;
    }
    open(files) {
        const editor = '\"' + this.config.data.editor.executable + '\"';
        let params = this.config.data.editor.open;
        // add source root to files
        const repo = this.config.getRepo();
        for (let i = 0; i < files.length; i++) {
            files[i] = repo.srcroot + files[i];
        }
        if (!this.validateFiles(files)) {
            console.error('error opening files');
            return;
        }
        params = params.replace('%s', files.join(' '));
        if (repo.srcroot !== undefined) {
            params = params.replace('%r', repo.srcroot);
        }
        const executeString = `${editor} ${params}`;
        try {
            const child = child_process_1.execSync(executeString);
        }
        catch (err) {
            // hide further errors
        }
    }
    validateFiles(files) {
        let validationOk = true;
        files.forEach(file => {
            if (!fs.existsSync(file)) {
                console.error(`"${file}" could not be found`);
                validationOk = false;
            }
        });
        return validationOk;
    }
}
exports.Editor = Editor;
//# sourceMappingURL=editor.js.map